<template>
  <div id="app" class="h-full">
    <AlertProvider>
      <LoadingProvider>
        <UserProvider>
          <NavBar />
          <router-view />
        </UserProvider>
      </LoadingProvider>
    </AlertProvider>
  </div>
</template>

<script>
import UserProvider from "@/providers/UserProvider";
import AlertProvider from "@/providers/AlertProvider";
import NavBar from "@/components/NavBar.vue";
import LoadingProvider from "@/providers/LoadingProvider";

export default {
  name: "App",
  components: {
    LoadingProvider,
    AlertProvider,
    UserProvider,
    NavBar
  }
};
</script>

<style>
#app {
  --tw-bg-opacity: 1;
  background-color: rgba(165, 180, 252, var(--tw-bg-opacity));
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin-top: 0;
  z-index: -100 !important;
  min-height: 100vh;
}
</style>
